Subject: bug#13887: 24.3; doc-view will render blurry images when image-magick is available

From: Tassilo Horn <[email-masked]>
Date: Mon, 11 Mar 2013 19:20:47 +0100

Eli Zaretskii <[email-masked]> writes:

>> Aha, now I know how to reproduce that (also with the emacs with my
>> customizations and the centering patch).  Somehow,
>> `doc-view-new-window-function' is run way too often (I've commented
>> in the (message ...) in its first line to see).  When opening some
>> document, it's run twice.  When the document is shown, M-x <TAB> will
>> also run it again.  Ditto for M-: (i<TAB.  Ditto for C-x C-f.
>
> doc-view-new-window-function seems to be run from a
> window-configuration-change-hook, right?

No, from `image-mode-new-window-functions'.  The functions in there are
run by `image-mode-winprops' if (and only if) there are no winprops set
for the image and the current window.  Basically, this should only ever
happen when there's a new window showing the buffer with the image.

Bye,
Tassilo